CubeCart ChangeLog
The original bug reports and ChangeLog can be viewed at http://bugs.cubecart.com/

CubeCart v4 - 4.3.0
===================
- 0001214: [Admin Control Panel] Post Delete Pagination (al) - resolved.
- 0001180: [Checkout] Apostrophes showing up as a HTML character in the Delivery Details (al) - resolved.
- 0001236: [Admin Control Panel] update order status fatal error (al) - resolved.
- 0001209: [Interface] Bulk Email - Apostrophies problem in email subject (al) - resolved.
- 0001247: [SEO] Blank Global Browser Title makes mess once Meta Data Behaviour is other than disabled (al) - resolved.
- 0001222: [Languages] Missing and misplaced language element in the Edit Delivery page. (al) - resolved.
- 0001241: [Interface] Store Search - Pagination problem on price sort for search results (al) - resolved.
- 0001006: [Payment Gateways] Duplicate Paypal payments processed (al) - resolved.
- 0001208: [Admin Control Panel] Bulk Email FCK-Editor images give bad URL (al) - resolved.
- 0001154: [Admin Control Panel] Export issue, CSV is too limited as any product description containing commas destroys formatting (al) - resolved.
- 0001219: [Admin Control Panel] Broken CubeCart CSV file in Export Catalogue (al) - resolved.
- 0001203: [Catalogue] forgotPass email blocked, even when i tried to tweak (al) - resolved.
- 0001248: [Admin Control Panel] Alternate images when removed are not updating img_idx table (al) - resolved.
- 0001250: [Checkout] Cancel and Return to Street Tuned (al) - resolved.
- 0001231: [Admin Control Panel] When deleting an option value sometimes the associated product options are not removed from products (al) - resolved.
- 0001255: [Shipping Modules] Tax on shipping is counted once Add sales tax to customers who qualify is set to NO (al) - resolved.
- 0001243: [Payment Gateways] Transactions not recorded using PayPal Standard (al) - resolved.
- 0001232: [Admin Control Panel] FCK insert links not working (al) - resolved.
- 0001259: [Interface] Internet Explorer no SSL padlock displayed on Registration page once Script/Bot Flood Control is used (al) - resolved.
- 0001205: [Checkout] Back spaces in product code makes mess on cart pages (al) - resolved.
- 0000794: [Interface] SO SLOW (al) - resolved.
- 0001030: [Feature Request] Suggestion to speed up "Other customer also bought" feature (al) - resolved.
- 0001178: [Checkout] After upgrading to 4.2.3, basket contents are lost by returning from step 3 to step 2 (al) - resolved.
- 0001147: [Checkout] backing out of paypal checkout dumps cart (al) - resolved.
- 0001142: [Admin Control Panel] sslSwitchInc.php is wrong (al) - resolved.
- 0001213: [MySQL/Database] Related Products Query (al) - resolved.
- 0001224: [Admin Control Panel] Possible to create categories whose parent category forms a loop (al) - resolved.
- 0001235: [Admin Control Panel] FCK Editor Broken in Firefox 3 (al) - resolved.
- 0001201: [Admin Control Panel] Rebuild of database fails when there is an image in a subfolder (al) - resolved.
- 0001249: [Interface] global include closed.inc.php not used to show offLineContent when site is closed. (al) - resolved.
- 0000997: [Payment Gateways] Credit Cards payment module validation requires Issue Date for Laser Card (martin) - resolved.
- 0001225: [Admin Control Panel] Warning: set_time_limit() appears on Rebuild category product count page (al) - resolved.
- 0001230: [Payment Gateways] call.inc.php line 114, variable $postal_code incorrect set (al) - resolved.
- 0001216: [Interface] Bulk Email - Return Path not being used (martin) - resolved.
- 0001192: [Catalogue] Shopping cart changes to allow floating point quantities (martin) - resolved.
- 0001207: [Checkout] PayPal Direct Payment Only (al) - resolved.
- 0001191: [Payment Gateways] PayPal - function logTransaction isn't defined anywhere? (martin) - resolved.
- 0001189: [Payment Gateways] Card Capture showing XXX for all data fields (martin) - resolved.
- 0001218: [Shipping Modules] Canada Post missing handling (al) - resolved.
- 0001175: [Admin Control Panel] Admin - Maintenance - Rebuild & Recount - update Image Database produces error (al) - resolved.
- 0001196: [Catalogue] Product options are not listed in a sequential order (martin) - resolved.
- 0001220: [Interface] Tag error on login.tpl (martin) - resolved.
- 0001186: [Catalogue] Buy buttons on products that are viewed in product category page do not work if they have product options assigned to them. (martin) - resolved.

CubeCart 4 - 4.2.3
==================
- 0001172: [SEO] Google toolbar users treated as spiders (martin) - resolved.
- 0001170: [Admin Control Panel] fckblank.php file error (al) - resolved.
- 0001169: [Basket] When using both text and regular options, sometimes some options are not saved to basket (martin) - resolved.
- 0001166: [Catalogue] Sale Items still shown in Sale Items box, even if they are disabled one by one (al) - resolved.
- 0001054: [Admin Control Panel] Quotes problem in order detail (al) - resolved.
- 0001124: [Admin Control Panel] Security Warning order command (al) - resolved.
- 0001152: [Interface] Login "Remember Me" function doesn't work (martin) - resolved.
- 0001122: [Admin Control Panel] Missing password verification on additional admin setup. (al) - resolved.
- 0001123: [Admin Control Panel] Review email not handling apostrophies. (al) - resolved.
- 0001134: [Checkout] country is lost (martin) - resolved.
- 0001053: [Languages] Purge on languages (al) - resolved.
- 0001050: [Admin Control Panel] IP lookup window doesn't resize. (al) - resolved.
- 0001084: [Checkout] Product names entities in order complete email (al) - resolved.
- 0001157: [Interface] Ampersands problem in tell a friend emails (al) - resolved.
- 0001116: [Interface] If customer tries to update addres they receive Error Message: "Telephone numbers must be numeric only." (al) - resolved.
- 0001168: [Interface] XSS Vulnerability (Helpdesk Ticket 49436) (martin) - resolved.
- 0001107: [Basket] Items not being added to Basket. (al) - resolved.
- 0001140: [Interface] Registration page Required Fields Error (martin) - resolved.
- 0001118: [Catalogue] Hide Sale Items link in categories menu if display empty categories set to no. (martin) - resolved.
- 0001098: [Admin Control Panel] Image Management - hash comparison some images are not found/displayed (martin) - resolved.
- 0001150: [Admin Control Panel] Changing a category's priority (sort order) can affect multiple categories when not using drag and drop. (martin) - resolved.
- 0001039: [Admin Control Panel] Single quota in image name breaks filemanager buildDatabase fn (martin) - resolved.
- 0001094: [Interface] Wrong image relative path on Win servers once upgraded to latest version (al) - resolved.
- 0001064: [Catalogue] catagory product count goes up after editing a product. (al) - resolved.
- 0001110: [Catalogue] Gift Certificate (Min: Max:) (al) - resolved.
- 0001125: [Payment Gateways] HSBC Gateway - Secure Payments (martin) - resolved.
- 0001129: [Catalogue] Unable to sort by price/name for search results (martin) - resolved.
- 0001114: [Admin Control Panel] Image Management - images in folders cannot be deleted (al) - resolved.
- 0001130: [Interface] Search results can't be ordered (martin) - resolved.
- 0001149: [SEO] Apostrophies rendered incorrectly in meta description (al) - resolved.
- 0001049: [Admin Control Panel] Security Warning Page on admin order page (martin) - resolved.
- 0001138: [Admin Control Panel] Call to undefined function: substr_compare() (martin) - resolved.
- 0001136: [Admin Control Panel] Manage images in Admin CP does not delete them. (martin) - resolved.
- 0001133: [Basket] -ve product qualtitys & add product by product code issue (martin) - resolved.
- 0001109: [Catalogue] Advanced Search causes SQL errors (al) - resolved.
- 0001111: [Admin Control Panel] problem Security Warning Page on admin order page (al) - closed.
- 0000895: [Checkout] Google checkout and shipping rates (al) - closed.
- 0001075: [Admin Control Panel] Print Packing Slip - Extra Footer HTML (martin) - closed.
- 0001071: [Admin Control Panel] notes to customer field in order screen not holding its value (martin) - closed.
- 0001067: [Catalogue] Advanced Search Error (martin) - closed.
- 0001062: [Languages] Adding Review: Confirmation text has typo (martin) - closed.
- 0001060: [Catalogue] Product Reviews - Popup alert wrong text (martin) - closed.
- 0001048: [Payment Gateways] 'LANG_PAYMENT' is assigned twice in ROOT/includes/content/gateway.inc.php (martin) - closed.
- 0001041: [Catalogue] Static directory separator which can break windows installs (al) - closed.
- 0001034: [Catalogue] Missing slashes in URL once $GLOBALS['rootRel'] is a slash (martin) - closed.
- 0000934: [Payment Gateways] WorldPay missing RETURN URL (al) - closed.
- 0000914: [Admin Control Panel] Per Category International shipping costs issue (martin) - closed.
- 0001077: [Feature Request] Display Trail in Admin CP (martin) - closed.
- 0001083: [Catalogue] Fix to 0000823 breaks (some?) searchs in 4.2.2 (martin) - closed.
- 0001086: [Install] County/State/Zone information of CC3 data incompatible with CC4 tax module (martin) - closed.
- 0001088: [Admin Control Panel] Cannot delete images using image manager on Windows servers (al) - closed.
- 0001045: [Admin Control Panel] Inventory export to cubecart csv does not work properly (al) - closed.
- 0001089: [Admin Control Panel] Can delete image even when they are used in homepage (al) - closed.
- 0001101: [Licence Issues] Read-only admin access for 7 days if dial-home fails. (al) - closed.
- 0001097: [Admin Control Panel] Publish and Unpublish review asks user wrong question (martin) - closed.
- 0001095: [Checkout] Google CO Duplicate Data (al) - closed.
- 0001093: [Basket] Product Options Problem (martin) - closed.
- 0001099: [Catalogue] Bad character coding issue at Product options (martin) - closed.
- 0000567: [Shipping Modules] USPS International shipping problem (al) - closed.
- 0001091: [Admin Control Panel] Add SELECT TAX in admin product details page to Tax drop down (martin) - closed.
- 0001090: [Interface] Product initial ordering on category page using order by Name or Price is descending instead of ascending (martin) - closed.

CubeCart 4 - 4.2.2
==================
- 0000945: [Languages] Messed emails content (al) - closed.
- 0000964: [Catalogue] Tell a friend value="" missing twice (martin) - closed.
- 0000966: [SEO] missing SEO URL in function addByCode($code) (martin) - closed.
- 0000965: [Catalogue] Gift Certificate (Prices include Tax:) (martin) - closed.
- 0000961: [Catalogue] Advanced Search - How can you search without a search button? (martin) - closed.
- 0000952: [Basket] CRASH with product options with text-area because of illegal characters (martin) - closed.
- 0000970: [Basket] Voucher Balance not added back on empty basket (martin) - closed.
- 0000967: [Admin Control Panel] Image errors in filemanager (martin) - closed.
- 0000968: [Admin Control Panel] Tick box needed (Do not resize image:) (martin) - closed.
- 0000978: [Interface] 1st Vulnerability XSS (martin) - closed.
- 0000990: [Admin Control Panel] Missing <tr> (martin) - closed.
- 0000988: [Admin Control Panel] Permissions on update prices (al) - closed.
- 0000983: [Languages] German Language Issue (martin) - closed.
- 0000982: [Checkout] Customer comments erased (martin) - closed.
- 0000979: [Catalogue] Search failure on non-existant terms -- MySQL Error (martin) - closed.
- 0000940: [Catalogue] Single quota in product otions becomes &0000039; (martin) - closed.
- 0000994: [Admin Control Panel] Import Catalogue: 'Erase and replace the existing data' option doesn't clear product categories (al) - closed.
- 0000996: [Skins] wrong template call in search.tpl (martin) - closed.
- 0000998: [Admin Control Panel] modules/common.inc.php issue (martin) - closed.
- 0000997: [Payment Gateways] Credit Cards payment module validation requires Issue Date for Laser Card (martin) - closed.
- 0000995: [Basket] Error adding to cart (martin) - closed.
- 0001004: [Payment Gateways] PayJunction transfer.inc.php syntax error (martin) - closed.
- 0001002: [Payment Gateways] "Declined" doesn't give payment option (martin) - closed.
- 0001000: [Admin Control Panel] typo in file admin/sources/orders/index.inc.php (martin) - closed.
- 0000999: [Basket] Characters problem (martin) - closed.
- 0001007: [Catalogue] Advanced search ignores category and returns all (martin) - closed.
- 0001005: [Admin Control Panel] Manage Images > CONTINUE TO DELETE? (martin) - closed.
- 0001019: [Checkout] Orders - Subtotal doesn't add up / products appearing that weren't wanted (martin) - closed.
- 0001012: [Basket] Problem with "Product options must be selected" (martin) - closed.
- 0001013: [Payment Gateways] Nochex_APC no download links emails (martin) - closed.
- 0001018: [Admin Control Panel] Nonexistent inventory table column Title in admin View Products filter dropdown (martin) - closed.
- 0001016: [Interface] Search too Vague (martin) - closed.
- 0001021: [Languages] Potential headers already sent problem (martin) - closed.
- 0001020: [Catalogue] Category count include hidden (martin) - closed.
- 0001022: [Admin Control Panel] Admin Add/Edit Products - Missing <tr> tag (martin) - closed.
- 0001015: [Admin Control Panel] Category reordering (martin) - closed.
- 0001008: [Payment Gateways] Paypal direct payment not sending customers address to paypal (al) - closed.
- 0001024: [Catalogue] bug 0000940 not fixed as listed (martin) - closed.
- 0001010: [Catalogue] Incorrect product count on categories with disabled items (martin) - closed.
- 0001025: [Install] Compat-test fails to detect gd 2 (martin) - closed.
- 0001026: [Admin Control Panel] Html entities causing Add Order customer menu to break (martin) - closed.
- 0001031: [Catalogue] Dates in reviews messed up (martin) - closed.
- 0001032: [Languages] Review issues with German Language (martin) - closed.
- 0000984: [Admin Control Panel] Google Base Updates - closed.

CubeCart 4 - 4.2.1
==================
- 0000962: [Catalogue] Gift certificate page can be seen if there disabled when you go to the url (al) - resolved.
- 0000959: [Catalogue] Change password (lack of error checking) (martin) - resolved.
- 0000958: [Skins] Wrong html code (al) - resolved.
- 0000954: [Admin Control Panel] Check Manage Images (martin) - resolved.
- 0000826: [Payment Gateways] Paypal Pro still giving problems (al) - resolved.
- 0000924: [Checkout] Paypal PRo Direct Payment empties the basket on checkout (al) - resolved.
- 0000925: [Interface] sslSwitch.inc.php issue on Shared SSL (martin) - resolved.
- 0000937: [Catalogue] Manage Images (martin) - resolved.
- 0000940: [Catalogue] Single quota in product otions becomes &0000039; (martin) - resolved.
- 0000944: [Admin Control Panel] Fatal error: Call to undefined function mcrypt_module_open() (martin) - resolved.
- 0000939: [Languages] Spelling mistake (martin) - resolved.
- 0000928: [Admin Control Panel] View products - manage images (martin) - resolved.
- 0000927: [Checkout] PayPal Website Payments Pro (Sale) is unusable. (martin) - resolved.
- 0000929: [Skins] Product Option Text Assignment (martin) - resolved.
- 0000931: [Admin Control Panel] Import Catalogue does no file checking (martin) - resolved.
- 0000922: [Shipping Modules] UPS Issue (Possibly) (martin) - resolved.
- 0000920: [Skins] Carreta Soft missing asterix in reg form next to county text input (martin) - resolved.
- 0000926: [Payment Gateways] Authorize.net AIM Merchant Id (martin) - resolved.
- 0000923: [Admin Control Panel] /admin/sources/products/extraImgs.inc.php Bugs (martin) - resolved.
- 0000918: [Admin Control Panel] SQL Duplicate Key Error Editing Homepage Text on Windows Server (martin) - resolved.
- 0000915: [Admin Control Panel] Admin image still broke (martin) - resolved.
- 0000914: [Admin Control Panel] Per Category International shipping costs issue (martin) - resolved.
- 0000913: [Admin Control Panel] Product Options on Add/Edit (few issues) (martin) - resolved.
- 0000919: [Shipping Modules] Missing ( in ups shipping module (martin) - resolved.

CubeCart 4 - 4.2.0
==================
- 0000912: [Languages] language/it/includes/content/gateway.inc.php issue (martin) - resolved.
- 0000909: [Skins] incorrect alignment of shopping cart prices and totals (martin) - resolved.
- 0000910: [Checkout] Customer Account Registered When Choosing Not to Register an Account (martin) - resolved.
- 0000908: [Interface] Flash basket missing under SEO (al) - resolved.
- 0000906: [Catalogue] item-count shows inactive products (martin) - resolved.
- 0000884: [Catalogue] Advanced Search issues (martin) - resolved.
- 0000904: [Catalogue] Gift certificate (no error messages) (martin) - resolved.
- 0000898: [Skins] {LANG_TITLE_DESC} missing (martin) - resolved.
- 0000901: [Interface] Site document names in default language instead of foreign ones (martin) - resolved.
- 0000891: [SEO] ?&page=x in URL (martin) - resolved.
- 0000873: [Catalogue] Disabled product still showing in some store areas... (martin) - resolved.
- 0000896: [Skins] Category box items icons are not displaying correctly (martin) - resolved.
- 0000897: [Admin Control Panel] Sale price is not adjustable (martin) - resolved.
- 0000876: [Skins] Template assignment in unsubscribe.inc.php (martin) - resolved.
- 0000900: [Skins] Hardcoded english text in viewProd.tpl (martin) - resolved.
- 0000886: [Admin Control Panel] 1 admin image left to fix (martin) - resolved.
- 0000868: [Checkout] Gift Certificate "allowed uses" doesn't reset if removed (martin) - resolved.
- 0000874: [Catalogue] Navigation quirk when adding a searched item to basket. (martin) - resolved.
- 0000882: [Interface] Sale price issue (martin) - resolved.
- 0000888: [Admin Control Panel] Ghost product reviews (martin) - resolved.
- 0000887: [Admin Control Panel] Customer with 2 orders deleted, orders stay, There are no orders in the database. (martin) - resolved.
- 0000877: [Skins] HTML ID used where a CLASS should be used. (martin) - resolved.
- 0000880: [Skins] XHTML issues on registration page (martin) - resolved.
- 0000881: [Interface] Required attribute "type" not specified in SCRIPT tag (martin) - resolved.
- 0000883: [Admin Control Panel] Unable to empty product fields (martin) - resolved.
- 0000834: [MySQL/Database] slow SQL queries that do not return any results (martin) - resolved.
- 0000842: [Catalogue] Hidden category products shown otherwhere (martin) - resolved.
- 0000849: [Admin Control Panel] Staff comments in the email that the customer receives (martin) - resolved.
- 0000850: [Interface] Front End Look Back Bug (martin) - resolved.
- 0000851: [Languages] Single quoute in $lang['admin_common']['delete_q'] breaks Javascript on DELETE decision in admin side (martin) - resolved.
- 0000855: [Admin Control Panel] Unable to decrease prices/sale prices by fixed amount using Update Prices by Category in product area (martin) - resolved.
- 0000858: [Languages] Missing label in French lang file tellafriend.inc.php (martin) - resolved.
- 0000859: [Admin Control Panel] Images can't be deleted - on Windows servers when subfolders are used (martin) - resolved.
- 0000862: [Catalogue] Products in Imported Products category are search able (martin) - resolved.
- 0000864: [Shipping Modules] PER CATEGORY - Using country not listed in module settings provides free shipping (martin) - resolved.
- 0000871: [Catalogue] Products also bought missing price (martin) - resolved.
- 0000870: [Skins] Misplaced close form element (martin) - resolved.
- 0000865: [Skins] Internet Explorer issue to the 10th product in Popular products box (martin) - resolved.

==================
A more extensive ChangeLog can be found at http://bugs.cubecart.com/changelog_page.php